SDXFrameWork 0.13 SDXFrameWork

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Pages
Public Member Functions | List of all members
SDX::Movie Class Reference

動画を表すクラス[未実装]. More...

`#include <Movie.h>`

## Public Member Functions
| Movie (const char *ファイル名)
| ファイルの読込. More...
bool | Load (const char *ファイル名)
| ファイルの読込. More...
bool | Release ()
| ファイルの開放. More...
int | GetHandle ()
| ハンドルの取得. More...
bool | Play ()
| 動画の再生. More...
bool | Pause ()
| 動画の停止. More...
int | Seek (int 再生位置)
| 動画の再生位置を設定. More...
int | Tell ()
| 動画の再生位置を取得. More...
bool | Check ()
| 動画が再生中か取得. More...
bool | Draw (const Point &座標, bool 反転フラグ=false)
| 指定座標に描画. More...
bool | DrawExtend (const Rect &領域)
| 指定矩形内に描画. More...
bool | DrawRotate (const Point &座標, double 拡大率, double 角度, bool 反転フラグ=false)
| 角度、拡大率を指定して描画. More...
bool | DrawRotateAxis (const Point &座標, int X軸, int Y軸, double 拡大率, double 角度, bool 反転フラグ=false)
| 角度、拡大率を指定して描画. More...
bool | DrawModify (const Point &頂点A, const Point &頂点B, const Point &頂点C, const Point &頂点D) const
| 四角形に変形描画. More...
bool | DrawPart (const Point &描画座標, const Rect &元領域, bool 反転フラグ)
| 一部を指定して描画. More...
int | GetWidth ()
| 幅を取得. More...
int | GetHeight ()
| 高さを取得. More...

## Detailed Description

動画を表すクラス[未実装].

Todo:

//Copyright © 2014 SDXFramework
//[License]GNU Affero General Public License, version 3
//[Contact]http://sourceforge.jp/projects/dxframework/
// 動画の再生を行う[未実装]
#include <SDXFramework.h>
bool SampleMovie()
{
/*
using namespace SDX;
System::Initialise("sample", 640, 480);
//動画をシングルスレッドで再生
Movie movie("movie.mp4");
movie.Play(1, true);
//動画を非同期で再生
MovieImage movieImage("movie.mp4");
while (System::Update())
{
movieImage.Draw({ 10, 10 });
if (Input::key.Z.on){ movieImage.Play(); }
if (Input::key.X.on){ movieImage.Pause(); }
if (Input::key.Return.on){ break; }//Enterで終了
}
System::End();
*/
return false;
}

Todo:
  全く実装していない.

## Constructor & Destructor Documentation

SDX::Movie::Movie | ( | const char * | ファイル名 | ) |
| inline

ファイルの読込.

## Member Function Documentation

bool SDX::Movie::Load | ( | const char * | ファイル名 | ) |
| inline

ファイルの読込.

動画ファイルをメモリに読み込む。

bool SDX::Movie::Release | ( |  | ) |
| inline

ファイルの開放.

動画ファイルをメモリから開放する。

int SDX::Movie::GetHandle | ( |  | ) |
| inline

ハンドルの取得.

bool SDX::Movie::Play | ( |  | ) |
| inline

動画の再生.

bool SDX::Movie::Pause | ( |  | ) |
| inline

動画の停止.

int SDX::Movie::Seek | ( | int | 再生位置 | ) |
| inline

動画の再生位置を設定.

int SDX::Movie::Tell | ( |  | ) |
| inline

動画の再生位置を取得.

bool SDX::Movie::Check | ( |  | ) |
| inline

動画が再生中か取得.

bool SDX::Movie::Draw | ( | const Point & | 座標,
|  | bool | 反転フラグ = `false`
| ) |  |
| inline

指定座標に描画.

bool SDX::Movie::DrawExtend | ( | const Rect & | 領域 | ) |
| inline

指定矩形内に描画.

bool SDX::Movie::DrawRotate | ( | const Point & | 座標,
|  | double | 拡大率,
|  | double | 角度,
|  | bool | 反転フラグ = `false`
| ) |  |
| inline

角度、拡大率を指定して描画.

bool SDX::Movie::DrawRotateAxis | ( | const Point & | 座標,
|  | int | X軸,
|  | int | Y軸,
|  | double | 拡大率,
|  | double | 角度,
|  | bool | 反転フラグ = `false`
| ) |  |
| inline

角度、拡大率を指定して描画.

bool SDX::Movie::DrawModify | ( | const Point & | 頂点A,
|  | const Point & | 頂点B,
|  | const Point & | 頂点C,
|  | const Point & | 頂点D
| ) |  | const
| inline

四角形に変形描画.

bool SDX::Movie::DrawPart | ( | const Point & | 描画座標,
|  | const Rect & | 元領域,
|  | bool | 反転フラグ
| ) |  |
| inline

一部を指定して描画.

int SDX::Movie::GetWidth | ( |  | ) |
| inline

幅を取得.

int SDX::Movie::GetHeight | ( |  | ) |
| inline

高さを取得.